%global forgeurl https://github.com/matinlotfali/KDE-Rounded-Corners
%global commit f2b3f7ac118642c25d5ecc402d44f97c4b379758
%global date 20250717
%forgemeta

Name:           kde-rounded-corners
Version:        0.7.2
Release:        2%{?dist}
Summary:        Rounds the corners of your windows
License:        GPL-3.0
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  qt6-qtbase-private-devel

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KWin)

%if 0%{?fedora}
BuildRequires:  cmake(KWinX11)
%endif

BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xcb)

Requires:       kwin

%if 0%{?fedora}
Requires:       (kde-rounded-corners-x11 if kwin-x11)
%endif

%description
This effect rounds the corners of your windows and adds an outline around them without much affecting the performance of the KDE Plasma desktop.

%files
%license LICENSE
%doc README.md
%{_kf6_qtplugindir}/kwin/effects/configs/kwin_shapecorners_config.so
%{_kf6_qtplugindir}/kwin/effects/plugins/kwin4_effect_shapecorners.so
%{_kf6_datadir}/kwin/shaders/shapecorners_core.frag
%{_kf6_datadir}/kwin/shaders/shapecorners.frag
%{_kf6_datadir}/locale/*/LC_MESSAGES/kcmcorners.mo

%if 0%{?fedora}
#------------------------------------------------------------------

%package        x11
Summary:        Rounds the corners of your windows when using kwin-x11
Requires:       kde-rounded-corners

%description    x11
This effect rounds the corners of your windows and adds an outline around them without much affecting the performance of the KDE Plasma desktop.

This package contains the effect for KDE's x11 session.

%files          x11
%{_kf6_qtplugindir}/kwin-x11/effects/configs/kwin_shapecorners_config.so
%{_kf6_qtplugindir}/kwin-x11/effects/plugins/kwin4_effect_shapecorners.so
%{_kf6_datadir}/kwin-x11/shaders/shapecorners_core.frag
%{_kf6_datadir}/kwin-x11/shaders/shapecorners.frag

#------------------------------------------------------------------
%endif

%prep
%forgeautosetup -p1

%build
# Build for Wayland
%global _vpath_builddir %{_target_platform}-wayland
%cmake -B %{_vpath_builddir}
%cmake_build
%undefine _vpath_builddir

# Build for x11
%if 0%{?fedora}
%global _vpath_builddir %{_target_platform}-x11
%cmake -DKWIN_X11=ON -B %{_vpath_builddir}
%cmake_build
%undefine _vpath_builddir
%endif

%install
%global _vpath_builddir %{_target_platform}-wayland
%cmake_install
%undefine _vpath_builddir

%if 0%{?fedora}
%global _vpath_builddir %{_target_platform}-x11
%cmake_install
%undefine _vpath_builddir
%endif

%changelog
* Fri Jun 20 2025 Hazel Bunny <hazel_bunny@disroot.org> - 0.7.2-2
- Rebuild for KWin 6.4.0

* Sun Apr 20 2025 Hazel Bunny <hazel_bunny@disroot.org> - 0.7.2-1
- Rebuild for KWin 6.3.5

* Sun Apr 20 2025 Hazel Bunny <hazel_bunny@disroot.org> - 0.7.1-1
- Rebuild for Qt 6.9

* Sat Jan 4 2025 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-14
- Rebuild for KWin 6.2.5

* Sun Dec 1 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-13
- Rebuild for KWin 6.2.4

* Fri Nov 8 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-12
- Rebuild for KWin 6.2.3

* Fri Nov 1 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-11
- Rebuild for KWin 6.2.2-2

* Sun Oct 27 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-10
- Newer commit

* Sat Oct 26 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-9
- Rebuild for KWin 6.2.2

* Sun Oct 20 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-8
- Rebuild for KWin 6.2.1 (Fedora 41 was frozen)

* Sat Oct 19 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-7
- Rebuild for KWin 6.2.1

* Thu Oct 10 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-6.git
- Rebuild for kwin 6.2.0

* Fri Sep 20 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-5.git
- Rebuild for kwin 6.1.5

* Sun Aug 11 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-4
- Rebuild for kwin 6.1.4

* Sun Jul 28 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-3
- Rebuild for kwin 6.1.3

* Sat Jul 13 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-2
- Rebuild for kwin 6.1.2

* Thu Jun 27 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.7-1
- update to 0.6.7

* Sun May 26 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.5-1
- update to 0.6.5

* Sat Apr 27 2024 Hazel Bunny <hazel_bunny@disroot.org> - 0.6.2-1
- initial package

